Bug 1055840 - Use alternative method for configuring maven for use with EAP servers via JBDS
Summary: Use alternative method for configuring maven for use with EAP servers via JBDS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: EAP 6.2.2
Assignee: sgilda
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 04:00 UTC by mmurray
Modified: 2014-09-29 18:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22526, Quick Start Guide-6.2-1 Build Date: 09-01-2014 09:36:57 Topic ID: 5709-562921 [Specified]
Last Closed: 2014-06-02 12:49:51 UTC
Type: Bug


Attachments (Terms of Use)

Description mmurray 2014-01-21 04:00:56 UTC
Title: Configure the JBoss EAP 6 Maven Repository Using the Maven Settings

Describe the issue:
This section could be simplified by using JBDS to completely configure Maven settings. JBDS has a specific feature for configuring maven repositories and it can detect locally installed and online EAP maven repos, automatically updating the users' settings.xml file as necessary.

I also believe that there is no need to install maven separately. It comes as part of JBDS.

See the following for more info:
* https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Developer_Studio/7.1/html-single/Getting_Started_Guide/index.html#Configure_Maven
(this example is specifically about making use of a locally installed EAP maven repo)

Comment 1 sgilda 2014-01-21 13:28:32 UTC
Michelle, thanks for the feedback. I didn't realize Maven is included with the JDBS install.

I replaced this topic in the Quick Start Guide because it was too complex. It is, however, included in the Development Guide for JBoss EAP. Developers who choose to use command line instead of JDBS still need to configure the Maven settings. The new Quick Start Guide topic is 26922. I will update this topic and 'Download and Install Maven', topic 8896, to make it clear that it is not necessary if you use JDBS. 

Also, we encourage developers to use the publicly hosted JBoss EAP Maven repository rather than the locally installed version.

However,for those who use JDBS, I should add details about how to configure Maven within the tool. I will use the Ticket Monster Maven Configuration topic as a starting point.

Thanks Michelle!

Comment 3 sgilda 2014-02-19 18:56:06 UTC
The section can be verified in the "Getting Started Guide here:

https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Getting_Started_Guide/index.html#sect-Configure_Maven_for_JBoss_Developer_Studio

I still need to update the development guide for 6.3.

Comment 4 sgilda 2014-02-27 20:29:51 UTC
See link above.

Comment 5 Nikoleta Hlavickova 2014-03-05 08:51:14 UTC
Verified with EAP 6.2.2.CP.CR2.


Note You need to log in before you can comment on or make changes to this bug.